import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { useEffect } from 'react';
import { useFireEvent } from '../events';
export const FireEventComp = ({ event, message }) => {
    const { fireEvent } = useFireEvent();
    useEffect(() => {
        // debounce the event so changes to fireEvent (from location changes) don't trigger the event many times
        const clear = setTimeout(() => fireEvent(event), 50);
        return () => clearTimeout(clear);
    }, [fireEvent, event]);
    return _jsx(_Fragment, { children: message });
};
