import { jsx as _jsx } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { slugify } from '../tools';
export const HeadingComp = (props) => {
    const { level, text, htmlId } = props;
    const HeadingComponent = getComponent(level);
    return _jsx(HeadingComponent, { text: text, id: htmlId || slugify(text), className: useClassName(props) });
};
function getComponent(level) {
    switch (level) {
        case 1:
            return ({ text, ...rest }) => _jsx("h1", { ...rest, children: text });
        case 2:
            return ({ text, ...rest }) => _jsx("h2", { ...rest, children: text });
        case 3:
            return ({ text, ...rest }) => _jsx("h3", { ...rest, children: text });
        case 4:
            return ({ text, ...rest }) => _jsx("h4", { ...rest, children: text });
        case 5:
            return ({ text, ...rest }) => _jsx("h5", { ...rest, children: text });
        case 6:
            return ({ text, ...rest }) => _jsx("h6", { ...rest, children: text });
    }
}
