import { jsx as _jsx } from "react/jsx-runtime";
import { useContext, useEffect, useState } from 'react';
import { LocationContext } from './hooks/locationContext';
import { ServerLoadFetch } from './components/ServerLoad';
import { loadEvent } from './events';
export function FastUIController() {
    const { fullPath } = useContext(LocationContext);
    const [path, setPath] = useState(fullPath);
    const [reloadValue, setReloadValue] = useState(0);
    useEffect(() => {
        function onEvent(e) {
            const { path, reloadValue } = e.detail;
            setPath(path ?? fullPath);
            setReloadValue(reloadValue ?? 0);
        }
        document.addEventListener(loadEvent, onEvent);
        return () => {
            document.removeEventListener(loadEvent, onEvent);
        };
    }, [fullPath]);
    return _jsx(ServerLoadFetch, { path: path, devReload: reloadValue });
}
